{
  pkgs,
  username,
  prettyUsername,
  ...
}: {
  users.mutableUsers = true;
  users.users.${username} = {
    isNormalUser = true;
    description = "${prettyUsername}";
    extraGroups = [
      "adbusers"
      "docker" #access to docker as non-root
      "libvirtd" #Virt manager/QEMU access
#      "lp"
      "networkmanager"
      "scanner"
      "wheel" #sudo access
    ];
    shell = pkgs.bash;
#    ignoreShellProgramCheck = true;
  };
  nix.settings.allowed-users = [ "${username}" ];
}
